## hubzero-submit-client 3.6.0-3+deb10

=== debian/changelog ===
hubzero-submit-client (3.6.0-3+deb10) unstable; urgency=low

     - fix debian10 dependencies (python3)

 -- Nicholas J. Kisseberth <nkisseberthk@ucsd.edu>  Wed, 05 Jan 2022 13:00:05 -0800

hubzero-submit-client (3.6.0-2) unstable; urgency=low

     - fix build for debian7/python2

 -- Nicholas J. Kisseberth <nkisseberthk@ucsd.edu>  Wed, 05 Jan 2022 11:47:48 -0800

## hubzero-submit-client 3.6.2-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.6.2-1+deb7) unstable; urgency=low

    - Catch local child process exit to cut down on time between process completion and submit exit.
    - Pass isLocalExecution flag for local and harvest context + heartbeat.  Done ro prevent submit --local jobs from being auto detached.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:47:21 -0700

hubzero-submit-client (3.6.0-3) unstable; urgency=low

     - fix debian10 dependencies (python3)

hubzero-submit-client (3.6.1-1) unstable; urgency=low

    - Added comparison operator functions to replace __cmp__ no longer available in Python3
    - Update to version 3.6.1
    - Convert Python 3 iterator returned from filter to list

 -- Steven Clark <smclark@ucsd.edu>  Fri, 12 Aug 2022 13:36:09 -0700

## hubzero-submit-client 3.6.2-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.6.2-1+deb10) unstable; urgency=low

    - Catch local child process exit to cut down on time between process completion and submit exit.
    - Pass isLocalExecution flag for local and harvest context + heartbeat.  Done ro prevent submit --local jobs from being auto detached.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:47:21 -0700

## hubzero-submit-client 3.6.2-2+deb7

=== debian/changelog ===
hubzero-submit-client (3.6.2-2+deb7) unstable; urgency=low

    - os.pipe2() does not exist in Python2, replace with os.pipe() and fcntl

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 08:36:25 -0700

hubzero-submit-client (3.6.2-1) unstable; urgency=low

    - Catch local child process exit to cut down on time between process completion and submit exit.
    - Pass isLocalExecution flag for local and harvest context + heartbeat.  Done ro prevent submit --local jobs from being auto detached.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 03 Nov 2022 23:47:21 -0700

## hubzero-submit-client 3.6.2-2+deb10

=== debian/changelog ===
hubzero-submit-client (3.6.2-2+deb10) unstable; urgency=low

    - os.pipe2() does not exist in Python2, replace with os.pipe() and fcntl

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 08:36:25 -0700

## hubzero-submit-client 3.6.3-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.6.3-1+deb7) unstable; urgency=low

     - Update to version 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 14:50:21 -0700

hubzero-submit-client (3.6.2-2) unstable; urgency=low

    - os.pipe2() does not exist in Python2, replace with os.pipe() and fcntl

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 08:36:25 -0700

## hubzero-submit-client 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.6.3-1+deb10) unstable; urgency=low

     - Update to version 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 14:50:21 -0700

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-client
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-client COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-client 3.7.0-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.7.0-1+deb7) unstable; urgency=low

     - Pass command arguments to server in bulk
     - Pass environment variables to server in bulk
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:53:12 -0700

hubzero-submit-client (3.6.3-1) unstable; urgency=low

     - Update to version 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 14:50:21 -0700

## hubzero-submit-client 3.7.0-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.7.0-1+deb10) unstable; urgency=low

     - Pass command arguments to server in bulk
     - Pass environment variables to server in bulk
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:53:12 -0700

## hubzero-submit-client 3.7.1-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.7.1-1+deb7) unstable; urgency=low

     - Update to version 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:41:38 -0700

hubzero-submit-client (3.7.0-1) unstable; urgency=low

     - Update to version 3.7.0
     - Pass command arguments to server in bulk
     - Pass environment variables to server in bulk
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 10:53:12 -0700

## hubzero-submit-client 3.7.1-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.7.1-1+deb10) unstable; urgency=low

     - Update to version 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:41:38 -0700

## hubzero-submit-client 3.7.2-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.7.2-1+deb10) unstable; urgency=low

     - Update to version 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:21 -0800

hubzero-submit-client (3.7.1-1) unstable; urgency=low

     - Update to version 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:41:38 -0700

## hubzero-submit-client 3.7.4-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.7.4-1+deb7) unstable; urgency=low

     - Completed fix for slow Anvil response. select.select timeout no longer
       generates an exception, instead check for empty return arrays.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:11:15 -0800

hubzero-submit-client (3.7.3.1-1) unstable; urgency=low

     - Fix long idle time for local submission when submitting from Anvil

 -- Steven Clark <smclark@ucsd.edu>  Fri, 14 Jun 2024 07:53:38 -0700

hubzero-submit-client (3.7.3-1) unstable; urgency=low

     - Update to version 3.7.3
     - Support el8

 -- Steven Clark <smclark@ucsd.edu>  Thu, 13 Jun 2024 13:07:15 -0700

hubzero-submit-client (3.7.2-1) unstable; urgency=low

     - Update to version 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:21 -0800

## hubzero-submit-client 3.7.4-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.7.4-1+deb10) unstable; urgency=low

     - Completed fix for slow Anvil response. select.select timeout no longer
       generates an exception, instead check for empty return arrays.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:11:15 -0800

## hubzero-submit-client 3.7.4-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.7.4-1+deb12) unstable; urgency=low

     - Completed fix for slow Anvil response. select.select timeout no longer
       generates an exception, instead check for empty return arrays.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:11:15 -0800

## hubzero-submit-client 3.8.1-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.8.1-1+deb7) unstable; urgency=low

     - Standardize writes to stdout/stderr with failure reported to log file.
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Correct overzealous change for dictionary elements in config file
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 07:15:10 -0700

hubzero-submit-client (3.7.4-1) unstable; urgency=low

     - Completed fix for slow Anvil response. select.select timeout no longer
       generates an exception, instead check for empty return arrays.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:11:15 -0800

=== debian/control ===

Source: hubzero-submit-client
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support   
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-client
Architecture: all
Replaces: hubzero-app-submit
Breaks: hubzero-app-submit
Depends:  , python (>=2.6), python-openssl, python-numpy   , time, hubzero-submit-common, ${misc:Depends}
Suggests: hubzero-submit-pegasus
Description: HUBzero tool submission client for clusters
 HUBzero client for submitting jobs to clusters

## hubzero-submit-client 3.8.1-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.8.1-1+deb10) unstable; urgency=low

     - Standardize writes to stdout/stderr with failure reported to log file.
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Correct overzealous change for dictionary elements in config file
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 07:15:10 -0700

## hubzero-submit-client 3.8.1-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.8.1-1+deb12) unstable; urgency=low

     - Standardize writes to stdout/stderr with failure reported to log file.
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Correct overzealous change for dictionary elements in config file
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jun 2025 07:15:10 -0700

## hubzero-submit-client 3.8.2-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.8.2-1+deb7) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:44:21 -0400

hubzero-submit-client (3.8.1-1) unstable; urgency=low

     - Standardize writes to stdout/stderr with failure reported to log file.
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Correct overzealous change for dictionary elements in config file
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 26 Jun 2025 07:15:10 -0700

## hubzero-submit-client 3.8.2-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.8.2-1+deb10) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:44:21 -0400

## hubzero-submit-client 3.8.2-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.8.2-1+deb12) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:44:21 -0400

## hubzero-submit-client 3.9.1-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.9.1-1+deb7) unstable; urgency=low

     - Report template file when patttern substitution fails
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:58:41 -0400

hubzero-submit-client (3.8.2-1) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:44:21 -0400

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	dh_installlogrotate -i
 	dh_installinit -i
 	dh_installman -i
-	dh_python2 -i
+	if [ -f /usr/bin/python2 ]; then dh_python2 -i ; fi
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i

## hubzero-submit-client 3.9.1-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.9.1-1+deb10) unstable; urgency=low

     - Report template file when patttern substitution fails
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:58:41 -0400

## hubzero-submit-client 3.9.1-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.9.1-1+deb12) unstable; urgency=low

     - Report template file when patttern substitution fails
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:58:41 -0400

## hubzero-submit-client 3.9.1.1-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.9.1.1-1+deb7) unstable; urgency=low

     - Add GPU amd memory to testing probes, fix uninitialized variable

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:26:12 -0400

hubzero-submit-client (3.9.1-1) unstable; urgency=low

     - Report template file when patttern substitution fails
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 13:58:41 -0400

## hubzero-submit-client 3.9.1.1-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.9.1.1-1+deb10) unstable; urgency=low

     - Add GPU amd memory to testing probes, fix uninitialized variable

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:26:12 -0400

## hubzero-submit-client 3.9.1.1-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.9.1.1-1+deb12) unstable; urgency=low

     - Add GPU amd memory to testing probes, fix uninitialized variable

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:26:12 -0400

## hubzero-submit-client 3.10.1-1+deb7

=== Makefile ===
# @package      hubzero-submit-client
# @file         Makefile
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

USRBIN=$(DESTDIR)/usr/bin
ETC=$(DESTDIR)/etc

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
PYTHONVERSION := 3

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
ifneq ($(filter $(MAJORVERSION),6 7 8 9),)
PYTHONVERSION := 2
endif
endif

all:
	@true

install:
	python$(PYTHONVERSION) setup.py install $(COMPILE) --root $(DESTDIR) $(il)
	install --mode 0664 -D submit-client.conf.in $(ETC)/submit/submit-client.conf
	install --mode 0755 -D submit $(USRBIN)/submit
	sed -i 's/^#!\/usr\/bin\/env python$$/#!\/usr\/bin\/env python$(PYTHONVERSION)/' $(USRBIN)/submit

uninstall:
	rm -fr $(USRBIN)/submit
	rm -fr $(ETC)/submit/submit-client.conf

postinst:
	@true

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-submit-client (3.10.1-1+deb7) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions
     - Add local execution operation mode
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:50:03 -0400

hubzero-submit-client (3.9.1.1-1) unstable; urgency=low

     - Add GPU amd memory to testing probes, fix uninitialized variable

 -- Steven Clark <clarksm@purdue.edu>  Thu, 20 Nov 2025 10:26:12 -0400

## hubzero-submit-client 3.10.1-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.10.1-1+deb10) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions
     - Add local execution operation mode
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:50:03 -0400

=== debian/control ===

Source: hubzero-submit-client
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)     , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-client
Architecture: all
Replaces: hubzero-app-submit
Breaks: hubzero-app-submit
Depends:     , python3 (>=3.6), python3-openssl, python3-numpy, time, hubzero-submit-common, ${misc:Depends}
Suggests: hubzero-submit-pegasus
Description: HUBzero tool submission client for clusters
 HUBzero client for submitting jobs to clusters

## hubzero-submit-client 3.10.1-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.10.1-1+deb12) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions
     - Add local execution operation mode
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:50:03 -0400

## hubzero-submit-client 3.11.1-1+deb7

=== debian/changelog ===
hubzero-submit-client (3.11.1-1+deb7) unstable; urgency=low

     - Fix show stdin
     - Report stdin file set  with Python class or json file
     - Fix for reading resources file with non-ascii tool title

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 10:50:03 -0400

hubzero-submit-client (3.10.1-1) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions
     - Add local execution operation mode
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:50:03 -0400

## hubzero-submit-client 3.11.1-1+deb10

=== debian/changelog ===
hubzero-submit-client (3.11.1-1+deb10) unstable; urgency=low

     - Fix show stdin
     - Report stdin file set  with Python class or json file
     - Fix for reading resources file with non-ascii tool title

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 10:50:03 -0400

## hubzero-submit-client 3.11.1-1+deb12

=== debian/changelog ===
hubzero-submit-client (3.11.1-1+deb12) unstable; urgency=low

     - Fix show stdin
     - Report stdin file set  with Python class or json file
     - Fix for reading resources file with non-ascii tool title

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 10:50:03 -0400

=== debian/control ===

Source: hubzero-submit-client
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)     
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-client
Architecture: all
Replaces: hubzero-app-submit
Breaks: hubzero-app-submit
Depends:     , time, hubzero-submit-common, ${misc:Depends}
Suggests: hubzero-submit-pegasus
Description: HUBzero tool submission client for clusters
 HUBzero client for submitting jobs to clusters
